Search Workspace
curl --request POST \
--url https://api.example.com/filesystem/search/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"folder_path": "<string>",
"asset_types": [],
"limit": 200
}
'import requests
url = "https://api.example.com/filesystem/search/"
payload = {
"query": "<string>",
"folder_path": "<string>",
"asset_types": [],
"limit": 200
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', folder_path: '<string>', asset_types: [], limit: 200})
};
fetch('https://api.example.com/filesystem/search/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"query": "<string>",
"folder_path": "/workspace",
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"child_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"child_type": "<string>",
"name": "<string>",
"workspace_path": "<string>",
"asset_type": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_type": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"open_url": "<string>",
"workspace_ref": "<string>",
"organisation_id": "<string>",
"is_private": false,
"asset_count": 123,
"asset_type_counts": {},
"child_count": 123
}
],
"has_more": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}filesystem
Search Workspace
POST
/
filesystem
/
search
/
Search Workspace
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Required string length:
1 - 256Optional workspace folder whose complete subtree should be searched.
Maximum string length:
2048Available options:
PIPELINE, DATASET, DASHBOARD, REPORT, AUTOMATION, MODEL Required range:
1 <= x <= 200